此应用程序不兼容该设备的iOS[英] This app is not compatible with this device iOS

本文是小编为大家收集整理的关于此应用程序不兼容该设备的iOS的处理方法,想解了此应用程序不兼容该设备的iOS的问题怎么解决?此应用程序不兼容该设备的iOS问题的解决办法?那么可以参考本文帮助大家快速定位并解决问题。

问题描述

enter image description here当我将我的 iOS 版本从 9.3 更新到 9.3.1 时,然后去应用商店安装应用,我们会弹出这个应用与此设备不兼容.下面是我的屏幕截图.

在此处输入图片描述

推荐答案

Set NO in Build Active Architectures Only Release configuration inside Build Settings.

编辑:

这里解释了为什么需要将其设置为 NO.

将此选项设置为 YES 仅适用于在构建应用程序时连接的设备架构.这意味着如果您连接的设备是 64 位设备,那么此版本将无法在 iPhone 5 或更早的设备(32 位)上运行.

将此选项设置为 NO 将构建一个胖二进制文件,该二进制文件将在构建设置中 Valid Architectures 中提到的所有架构上运行,从而允许它在所有设备上运行.

希望它能澄清您的疑问.您可以继续发布具有正确设置的新版本.

JFYI 您也可以选择 加快审核,让您的更新更快上线.(不过不要用太多).

祝你好运!

本文地址:https://www.itbaoku.cn/post/924393.html